## djbdns 1.05

=== Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

alloc.a: \
makelib alloc.o alloc_re.o getln.o getln2.o stralloc_cat.o \
stralloc_catb.o stralloc_cats.o stralloc_copy.o stralloc_eady.o \
stralloc_num.o stralloc_opyb.o stralloc_opys.o stralloc_pend.o
	./makelib alloc.a alloc.o alloc_re.o getln.o getln2.o \
	stralloc_cat.o stralloc_catb.o stralloc_cats.o \
	stralloc_copy.o stralloc_eady.o stralloc_num.o \
	stralloc_opyb.o stralloc_opys.o stralloc_pend.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

auto-str: \
load auto-str.o buffer.a unix.a byte.a
	./load auto-str buffer.a unix.a byte.a 

auto-str.o: \
compile auto-str.c buffer.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

axfr-get: \
load axfr-get.o iopause.o timeoutread.o timeoutwrite.o dns.a libtai.a \
alloc.a buffer.a unix.a byte.a
	./load axfr-get iopause.o timeoutread.o timeoutwrite.o \
	dns.a libtai.a alloc.a buffer.a unix.a byte.a 

axfr-get.o: \
compile axfr-get.c uint32.h uint16.h stralloc.h gen_alloc.h error.h \
strerr.h getln.h buffer.h stralloc.h buffer.h exit.h open.h scan.h \
byte.h str.h ip4.h timeoutread.h timeoutwrite.h dns.h stralloc.h \
iopause.h taia.h tai.h uint64.h taia.h
	./compile axfr-get.c

axfrdns: \
load axfrdns.o iopause.o droproot.o tdlookup.o response.o qlog.o \
prot.o timeoutread.o timeoutwrite.o dns.a libtai.a alloc.a env.a \
cdb.a buffer.a unix.a byte.a
	./load axfrdns iopause.o droproot.o tdlookup.o response.o \
	qlog.o prot.o timeoutread.o timeoutwrite.o dns.a libtai.a \
	alloc.a env.a cdb.a buffer.a unix.a byte.a 

axfrdns-conf: \
load axfrdns-conf.o generic-conf.o auto_home.o buffer.a unix.a byte.a
	./load axfrdns-conf generic-conf.o auto_home.o buffer.a \
	unix.a byte.a 

axfrdns-conf.o: \
compile axfrdns-conf.c strerr.h exit.h auto_home.h generic-conf.h \
buffer.h
	./compile axfrdns-conf.c

axfrdns.o: \
compile axfrdns.c droproot.h exit.h env.h uint32.h uint16.h ip4.h \
tai.h uint64.h buffer.h timeoutread.h timeoutwrite.h open.h seek.h \
cdb.h uint32.h stralloc.h gen_alloc.h strerr.h str.h byte.h case.h \
dns.h stralloc.h iopause.h taia.h tai.h taia.h scan.h qlog.h uint16.h \
response.h uint32.h
	./compile axfrdns.c

buffer.a: \
makelib buffer.o buffer_1.o buffer_2.o buffer_copy.o buffer_get.o \
buffer_put.o strerr_die.o strerr_sys.o
	./makelib buffer.a buffer.o buffer_1.o buffer_2.o \
	buffer_copy.o buffer_get.o buffer_put.o strerr_die.o \
	strerr_sys.o

buffer.o: \
compile buffer.c buffer.h
	./compile buffer.c

buffer_1.o: \
compile buffer_1.c buffer.h
	./compile buffer_1.c

buffer_2.o: \
compile buffer_2.c buffer.h
	./compile buffer_2.c

buffer_copy.o: \
compile buffer_copy.c buffer.h
	./compile buffer_copy.c

buffer_get.o: \
compile buffer_get.c buffer.h byte.h error.h
	./compile buffer_get.c

buffer_put.o: \
compile buffer_put.c buffer.h str.h byte.h error.h
	./compile buffer_put.c

buffer_read.o: \
compile buffer_read.c buffer.h
	./compile buffer_read.c

buffer_write.o: \
compile buffer_write.c buffer.h
	./compile buffer_write.c

byte.a: \
makelib byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_zero.o \
case_diffb.o case_diffs.o case_lowerb.o fmt_ulong.o ip4_fmt.o \
ip4_scan.o scan_ulong.o str_chr.o str_diff.o str_len.o str_rchr.o \
str_start.o uint16_pack.o uint16_unpack.o uint32_pack.o \
uint32_unpack.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o \
	byte_diff.o byte_zero.o case_diffb.o case_diffs.o \
	case_lowerb.o fmt_ulong.o ip4_fmt.o ip4_scan.o scan_ulong.o \
	str_chr.o str_diff.o str_len.o str_rchr.o str_start.o \
	uint16_pack.o uint16_unpack.o uint32_pack.o uint32_unpack.o

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

byte_zero.o: \
compile byte_zero.c byte.h
	./compile byte_zero.c

cache.o: \
compile cache.c alloc.h byte.h uint32.h exit.h tai.h uint64.h cache.h \
uint32.h uint64.h
	./compile cache.c

cachetest: \
load cachetest.o cache.o libtai.a buffer.a alloc.a unix.a byte.a
	./load cachetest cache.o libtai.a buffer.a alloc.a unix.a \
	byte.a 

cachetest.o: \
compile cachetest.c buffer.h exit.h cache.h uint32.h uint64.h str.h
	./compile cachetest.c

case_diffb.o: \
compile case_diffb.c case.h
	./compile case_diffb.c

case_diffs.o: \
compile case_diffs.c case.h
	./compile case_diffs.c

case_lowerb.o: \
compile case_lowerb.c case.h
	./compile case_lowerb.c

cdb.a: \
makelib cdb.o cdb_hash.o cdb_make.o
	./makelib cdb.a cdb.o cdb_hash.o cdb_make.o

cdb.o: \
compile cdb.c error.h seek.h byte.h cdb.h uint32.h
	./compile cdb.c

cdb_hash.o: \
compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_make.o: \
compile cdb_make.c seek.h error.h alloc.h cdb.h uint32.h cdb_make.h \
buffer.h uint32.h
	./compile cdb_make.c

check: \
it instcheck
	./instcheck

chkshsgr: \
load chkshsgr.o
	./load chkshsgr 

chkshsgr.o: \
compile chkshsgr.c exit.h
	./compile chkshsgr.c

choose: \
warn-auto.sh choose.sh conf-home
	cat warn-auto.sh choose.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> choose
	chmod 755 choose

compile: \
warn-auto.sh conf-cc
	( cat warn-auto.sh; \
	echo exec "`head -1 conf-cc`" '-c $${1+"$$@"}' \
	) > compile
	chmod 755 compile

dd.o: \
compile dd.c dns.h stralloc.h gen_alloc.h iopause.h taia.h tai.h \
uint64.h taia.h dd.h
	./compile dd.c

direntry.h: \
choose compile trydrent.c direntry.h1 direntry.h2
	./choose c trydrent direntry.h1 direntry.h2 > direntry.h

dns.a: \
makelib dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o dns_ipq.o dns_mx.o \
dns_name.o dns_nd.o dns_packet.o dns_random.o dns_rcip.o dns_rcrw.o \
dns_resolve.o dns_sortip.o dns_transmit.o dns_txt.o
	./makelib dns.a dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o \
	dns_ipq.o dns_mx.o dns_name.o dns_nd.o dns_packet.o \
	dns_random.o dns_rcip.o dns_rcrw.o dns_resolve.o \
	dns_sortip.o dns_transmit.o dns_txt.o

dns_dfd.o: \
compile dns_dfd.c error.h alloc.h byte.h dns.h stralloc.h gen_alloc.h \
iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_dfd.c

dns_domain.o: \
compile dns_domain.c error.h alloc.h case.h byte.h dns.h stralloc.h \
gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_domain.c

dns_dtda.o: \
compile dns_dtda.c stralloc.h gen_alloc.h dns.h stralloc.h iopause.h \
taia.h tai.h uint64.h taia.h
	./compile dns_dtda.c

dns_ip.o: \
compile dns_ip.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ip.c

dns_ipq.o: \
compile dns_ipq.c stralloc.h gen_alloc.h case.h byte.h str.h dns.h \
stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ipq.c

dns_mx.o: \
compile dns_mx.c stralloc.h gen_alloc.h byte.h uint16.h dns.h \
stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_mx.c

dns_name.o: \
compile dns_name.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_name.c

dns_nd.o: \
compile dns_nd.c byte.h fmt.h dns.h stralloc.h gen_alloc.h iopause.h \
taia.h tai.h uint64.h taia.h
	./compile dns_nd.c

dns_packet.o: \
compile dns_packet.c error.h dns.h stralloc.h gen_alloc.h iopause.h \
taia.h tai.h uint64.h taia.h
	./compile dns_packet.c

dns_random.o: \
compile dns_random.c dns.h stralloc.h gen_alloc.h iopause.h taia.h \
tai.h uint64.h taia.h taia.h uint32.h
	./compile dns_random.c

dns_rcip.o: \
compile dns_rcip.c taia.h tai.h uint64.h openreadclose.h stralloc.h \
gen_alloc.h byte.h ip4.h env.h dns.h stralloc.h iopause.h taia.h \
taia.h
	./compile dns_rcip.c

dns_rcrw.o: \
compile dns_rcrw.c taia.h tai.h uint64.h env.h byte.h str.h \
openreadclose.h stralloc.h gen_alloc.h dns.h stralloc.h iopause.h \
taia.h taia.h
	./compile dns_rcrw.c

dns_resolve.o: \
compile dns_resolve.c iopause.h taia.h tai.h uint64.h taia.h byte.h \
dns.h stralloc.h gen_alloc.h iopause.h taia.h
	./compile dns_resolve.c

dns_sortip.o: \
compile dns_sortip.c byte.h dns.h stralloc.h gen_alloc.h iopause.h \
taia.h tai.h uint64.h taia.h
	./compile dns_sortip.c

dns_transmit.o: \
compile dns_transmit.c socket.h uint16.h alloc.h error.h byte.h \
uint16.h dns.h stralloc.h gen_alloc.h iopause.h taia.h tai.h uint64.h \
taia.h
	./compile dns_transmit.c

dns_txt.o: \
compile dns_txt.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_txt.c

dnscache: \
load dnscache.o droproot.o okclient.o log.o cache.o query.o \
response.o dd.o roots.o iopause.o prot.o dns.a env.a alloc.a buffer.a \
libtai.a unix.a byte.a socket.lib
	./load dnscache droproot.o okclient.o log.o cache.o \
	query.o response.o dd.o roots.o iopause.o prot.o dns.a \
	env.a alloc.a buffer.a libtai.a unix.a byte.a  `cat \
	socket.lib`

dnscache-conf: \
load dnscache-conf.o generic-conf.o auto_home.o libtai.a buffer.a \
unix.a byte.a
	./load dnscache-conf generic-conf.o auto_home.o libtai.a \
	buffer.a unix.a byte.a 

dnscache-conf.o: \
compile dnscache-conf.c hasdevtcp.h strerr.h buffer.h uint32.h taia.h \
tai.h uint64.h str.h open.h error.h exit.h auto_home.h generic-conf.h \
buffer.h
	./compile dnscache-conf.c

dnscache.o: \
compile dnscache.c env.h exit.h scan.h strerr.h error.h ip4.h \
uint16.h uint64.h socket.h uint16.h dns.h stralloc.h gen_alloc.h \
iopause.h taia.h tai.h uint64.h taia.h taia.h byte.h roots.h fmt.h \
iopause.h query.h dns.h uint32.h alloc.h response.h uint32.h cache.h \
uint32.h uint64.h ndelay.h log.h uint64.h okclient.h droproot.h
	./compile dnscache.c

dnsfilter: \
load dnsfilter.o iopause.o getopt.a dns.a env.a libtai.a alloc.a \
buffer.a unix.a byte.a socket.lib
	./load dnsfilter iopause.o getopt.a dns.a env.a libtai.a \
	alloc.a buffer.a unix.a byte.a  `cat socket.lib`

dnsfilter.o: \
compile dnsfilter.c strerr.h buffer.h stralloc.h gen_alloc.h alloc.h \
dns.h stralloc.h iopause.h taia.h tai.h uint64.h taia.h ip4.h byte.h \
scan.h taia.h sgetopt.h subgetopt.h iopause.h error.h exit.h
	./compile dnsfilter.c

dnsip: \
load dnsip.o iopause.o dns.a env.a libtai.a alloc.a buffer.a unix.a \
byte.a socket.lib
	./load dnsip iopause.o dns.a env.a libtai.a alloc.a \
	buffer.a unix.a byte.a  `cat socket.lib`

dnsip.o: \
compile dnsip.c buffer.h exit.h strerr.h ip4.h dns.h stralloc.h \
gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dnsip.c

dnsipq: \
load dnsipq.o iopause.o dns.a env.a libtai.a alloc.a buffer.a unix.a \
byte.a socket.lib
	./load dnsipq iopause.o dns.a env.a libtai.a alloc.a \
	buffer.a unix.a byte.a  `cat socket.lib`

dnsipq.o: \
compile dnsipq.c buffer.h exit.h strerr.h ip4.h dns.h stralloc.h \
gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dnsipq.c

dnsmx: \
load dnsmx.o iopause.o dns.a env.a libtai.a alloc.a buffer.a unix.a \
byte.a socket.lib
	./load dnsmx iopause.o dns.a env.a libtai.a alloc.a \
	buffer.a unix.a byte.a  `cat socket.lib`

dnsmx.o: \
compile dnsmx.c buffer.h exit.h strerr.h uint16.h byte.h str.h fmt.h \
dns.h stralloc.h gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dnsmx.c

dnsname: \
load dnsname.o iopause.o dns.a env.a libtai.a alloc.a buffer.a unix.a \
byte.a socket.lib
	./load dnsname iopause.o dns.a env.a libtai.a alloc.a \
	buffer.a unix.a byte.a  `cat socket.lib`

dnsname.o: \
compile dnsname.c buffer.h exit.h strerr.h ip4.h dns.h stralloc.h \
gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dnsname.c

dnsq: \
load dnsq.o iopause.o printrecord.o printpacket.o parsetype.o dns.a \
env.a libtai.a buffer.a alloc.a unix.a byte.a socket.lib
	./load dnsq iopause.o printrecord.o printpacket.o \
	parsetype.o dns.a env.a libtai.a buffer.a alloc.a unix.a \
	byte.a  `cat socket.lib`

dnsq.o: \
compile dnsq.c uint16.h strerr.h buffer.h scan.h str.h byte.h error.h \

=== debian/changelog ===
djbdns (1:1.05-22.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1114091)
  * Increase the test timeouts to 1 hour, which might make the
    riscv64 autopkgtest non-flaky.

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 20:46:39 +0300

djbdns (1:1.05-22) unstable; urgency=medium

  * Bump the "million UDP queries" test timeout again; it seems that now
    it is indeed a matter of a timeout and not djbdns running out of
    memory again.

 -- Peter Pentchev <roam@debian.org>  Thu, 10 Apr 2025 11:41:52 +0300

djbdns (1:1.05-21) unstable; urgency=medium

  * Bump the autopkgtest time limit once again, but, at the same time,
    introduce a small delay between successive queries.
  * Salsa CI configuration updates:
    - use the now-canonical debian/salsa-ci.yml filename
    - use the now-canonical "debian" recipe
    - enable some optional features: build twice, force gbp-export-orig,
      enable diffoscope in the reprotest, only allow autopkgtest exit code 0

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Apr 2025 21:30:17 +0300

djbdns (1:1.05-20) unstable; urgency=medium

  * Try to raise the autopkgtest timeout for sending a million
    local queries to see if that, and not increasing the process
    data limit, will fix the tests.

 -- Peter Pentchev <roam@debian.org>  Tue, 18 Mar 2025 11:57:07 +0200

djbdns (1:1.05-19) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Drop the fakeroot-for-setgroups patch, fixed in sbuild.
  * Drop the setgroups Salsa CI workaround.
  * Minor autopkgtest refactoring.
  * Push the autopkgtest source into debian/tests/python/tinytest/.
  * Bump the default datalimit even more (to 700000 bytes) to fix
    autopkgtest failures on some platforms.

 -- Peter Pentchev <roam@debian.org>  Mon, 17 Mar 2025 14:05:32 +0200

djbdns (1:1.05-18) unstable; urgency=medium

  * As a maybe temporary workaround suggested by Niels Thykier, use
    fakeroot during the build only for the build tools that try to
    use setgroups(2). Closes: #1091850

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Jan 2025 16:37:08 +0200

djbdns (1:1.05-17) unstable; urgency=medium

  * Add the ftbfs-gid-t, ftbfs-uint32-ulong, and ftbfs-utime patches to
    fix FTBFS. Closes: #1081076
  * Fix the DEP-3 header of the ftbfs-implicit-declarations patch.
  * Use debputy's X-Style: black.
  * Minor updates to the autopkgtest tool:
    - use Ruff 0.8.4 for testing, override some docstring checks
    - use the same settings as utf8-locale:
      - set LC_ALL to "C.UTF-8", it is there on all supported Debian versions
      - remove LANGUAGE instead of setting it to "en"
    - allow the -b / --bindir and -s / --sbindir command-line options to
      specify relative paths

 -- Peter Pentchev <roam@debian.org>  Mon, 30 Dec 2024 16:18:59 +0200

djbdns (1:1.05-16) unstable; urgency=medium

  * Acknowledge NMU; thanks, Helmut Grohne and Chris Hofstaedtler!
  * Drop the "type is a bashism" Lintian override, Lintian no longer
    emits this false positive message.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debhelper 14:
    - the sysusers sequence is activated by default now
    - let debhelper add some default dependencies automatically
  * Stop overriding the "lines too long" Lintian warning.
  * Use dpkg's default.mk in the rules file.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Drop the version of the dh-runit build dependency.
  * Raise the datalimit in the 0011-datalimit patch again to try to fix
    the autopkgtest failures on 32-bit systems.
  * Refresh the Python coding style in the autopkgtest suite.

 -- Peter Pentchev <roam@debian.org>  Wed, 03 Jul 2024 18:08:00 +0300

djbdns (1:1.05-15.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Move from dh-sysuser to standard dh_installsysusers (Closes: #1071526)
  * Fix FTBFS. (Closes: #1066632)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:17:37 +0200

djbdns (1:1.05-15) unstable; urgency=medium

  * Fix the setgid directory FTBFS on kFreeBSD: let the test tool
    detect this situation and change the temporary directory's group to
    its own.

 -- Peter Pentchev <roam@debian.org>  Mon, 15 Nov 2021 02:21:04 +0200

djbdns (1:1.05-14) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Override two Lintian diagnostics.
  * Drop leading slashes in the *.install destination.
  * Drop the version the dh-sysuser build dependency, satisfied even
    in oldstable.
  * Use debian/clean to clean up the sysvinit/conf directory.
  * Add the 0010-dnsroots.global patch. Closes: #996373
  * Add the 0011-datalimit patch to catch up with recent versions of
    glibc generating larger executable files. Closes: #996807
  * Several improvements to the Python tinytest autopkgtest tool:
    - use "with subprocess.Popen()"
    - simplify the command-line parsing a bit
    - minor import statement fixes
    - add a tox.ini file to make it easier to run static code checkers
    - turn a class into a dataclass
    - send a lot of queries to tinydns to make sure that the fix for
      #996807 actually works
  * Bump the debhelper compatibility level to 13 and drop the check for
    "nocheck" in DEB_BUILD_OPTIONS, since it is done automatically now.
  * Build and install systemd service files, too.
  * Use `execute_after_*` for one more target.
  * Fix a typo in the debian/manpages-README file.

 -- Peter Pentchev <roam@debian.org>  Sun, 14 Nov 2021 20:41:31 +0200

djbdns (1:1.05-13) unstable; urgency=medium

  * Do not even consider running tinydns during the package build.
    Hence, drop the lsof dependency; as a side effect, this should
    help the build on kFreeBSD and the Hurd.
    The test will still be performed during an autopkgtest run.



=== debian/control ===
Source: djbdns
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-runit,
 dpkg-build-api (= 1),
 fakeroot,
 ionit,
 po-debconf,
 python3 <!nocheck>,
 timelimit <!nocheck>,
 tinycdb <!nocheck>,
Standards-Version: 4.7.2
X-DH-Compat: 14
Vcs-Browser: https://salsa.debian.org/debian/djbdns
Vcs-Git: https://salsa.debian.org/debian/djbdns.git
Homepage: http://cr.yp.to/djbdns.html
X-Style: black

Package: axfrdns
Architecture: any
Multi-Arch: foreign
Depends:
 tinydns,
 ucspi-tcp,
Recommends:
 daemon,
 runit,
Description: DNS zone-transfer server
 axfrdns reads a zone-transfer request in DNS-over-TCP format from its
 standard input, and responds with locally configured information.

Package: dnscache
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: DNS cache - tool for finding addresses of Internet hosts
 When a browser wants to contact www.debian.org, it first asks a DNS
 cache, such as dnscache, to find the IP address of www.debian.org.
 .
 Internet service providers run dnscache to find IP addresses
 requested by their customers.  If you're running a home computer
 or a workstation, you can run your own dnscache to speed up your web
 browsing.

Package: tinydns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: DNS server - tool for publishing addresses of Internet hosts
 tinydns is general-purpose DNS server that accepts iterative DNS
 queries from hosts around the Internet, and responds with locally
 configured information.
 .
 This program is used by network administrators to publish the IP
 addresses of their computers; this package is unlikely to be useful
 for regular workstation.

Package: rbldns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: real time blackhole list server
 rbldns is a special-purplose DNS server, that provides information
 about blacklisted IP addresses. This information is typically used by
 email software in effort to stop spam.
 .
 For more information about this technique, see RFC 6471.

Package: walldns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: reverse DNS wall
 walldns accepts iterative DNS queries for in-addr.arpa domains from
 hosts around the Internet, and supplies generic responses that avoid
 revealing local host information.

Package: djbdns-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ucspi-tcp,
Description: dns debugging tools
 This package provides number of tools for working with DNS, that can be used
 to diagnose misconfigured remote servers.
 .
  * dnsfilter - reverse-resolves IP addresses, converting them to host names.
  * dnsip, dnsipq - lookup IP addresses.
  * dnsmx - prints the MX records of fqdn.
  * dnsname - does a reverse lookup for the IP address.
  * dnsq - sends a non-recursive DNS query to DNS server.
  * dnsqr - asks for records of specified type under a the domain name
  * dnstrace searches for all DNS servers that can affect the resolution of
    records of specified type under a domain name, starting from the root
    server.
  * dnstxt - prints the TXT record of fqdn.
  * random-ip - print random IPv4 addresses.
 .
 This package also includes users guide to name qualification.

Package: djbdns-conf
Architecture: any
Multi-Arch: foreign
Depends:
 ucspi-tcp,
Description: programs to create service directories
 For each kind of server (tinydns, dnscache, axfrdns, walldns, rbldns)
 upstream provides program to create service directory for that server.
 .
 Service directories are part of corresponding binary packages, the only
 case when you may need this package is unlikely case when you want to run
 several instances of same service at single machine.
 .
 Service directories, created by programs in this package are
 compatible with both runit(8) and daemontools(8) supervision suites,
 but are somewhat simplistic -- they store log files in same place as
 configuration, for example.

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
DEB_CPPFLAGS_MAINT_APPEND = -include /usr/include/errno.h
DEB_CFLAGS_MAINT_APPEND = -std=gnu17

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@ --with runit

# On pickdns
# ~~~~~~~~~~
#
# Upstream release builds and install following programs:
#
#  * pickdns
#  * pickdns-conf
#  * pickdns-data
#
# which are not documented on upstream home page. According to[1], section 5.7,
# these programs are no longer needed as of djbdns-1.04, as its functionality
# is included into tinydns. So, Debian package do not install these binaries.
#
# [1] http://www.lifewithdjbdns.org/

override_dh_auto_configure:
	echo /usr | tee conf-home
	printf -- '%s\n' '$(CC) $(CPPFLAGS) $(CFLAGS)' | tee conf-cc
	printf -- '%s\n' '$(CC) $(LDFLAGS)' | tee conf-ld

po-templates: po-templates-stamp
po-templates-stamp: deb-checkdir
	po2debconf debian/tinydns-run.templates.in \
	  >debian/tinydns-run.templates
	touch po-templates-stamp

execute_after_dh_auto_build:
	debian/aux/mk-init.d

# Upstream build system can't be configured to do staged installation:
# it has no distinction between prefix and $(DESTDIR). Since prefix is
# embedded into body of *-conf programs, this difference is significant.
#
# Actual installation is done by dh_install(1).
override_dh_auto_install:

# See [On pickdns]
execute_after_dh_install:
	rm -f debian/djbdns-conf/usr/sbin/pickdns-conf
	rm -f debian/djbnds-conf/usr/share/man/man8/pickdns-conf.8

# Upstream does strange thing -- its test suite assumes that programs
# are already installed. Normally, checks are performed between `build'
# and `install'.
#
# So automatic invocation of tests is inhibited, and they are invoked
# manuall at `install' stage.
#
# Instead, run our own test suite.
override_dh_auto_test:
	timelimit -p -T5 -- env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m tinytest -b '$(CURDIR)' -s '$(CURDIR)' -S

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/tests/control ===
Test-Command: timelimit -p -T5 -- env PYTHONPATH="$(pwd)/debian/tests/python" python3 -B -u -m tinytest -b /usr/bin -s /usr/sbin
Depends:
 daemontools,
 lsof,
 python3,
 timelimit,
 tinycdb,
 @,
Restrictions:
 needs-root,
Features:
 test-name=tinytest,

## djbdns 1.05-14

=== debian/changelog ===
djbdns (1.05-14) unstable; urgency=low

  * Added SRV patch by Michael Handler - http://tinydns.org/srv-patch

 -- Martin Sojka <m.sojka@plusserver.de>  Mon, 07 Dec 2009 16:00:00 +0000

djbdns (1.05-13) unstable; urgency=low

  * Extended the multiple-IP-patch to dnscache, too

 -- Martin Sojka <msojka@intergenia.de>  Wed, 22 Nov 2006 12:00:00 +0000

djbdns (1.05-12) unstable; urgency=low

  * Added multiple-IP-patch

 -- Martin Sojka <msojka@intergenia.de>  Wed, 25 Oct 2006 12:00:00 +0000

djbdns (1.05-11) unstable; urgency=low

  * Added dnsroots.diff patch to change IP address for j.root-servers.net
    in dnsroots.global (Closes: Bug#168233)

 -- Adam D. McKenna <adam@debian.org>  Thu, 20 Nov 2003 10:47:34 -0800

djbdns (1.05-10) unstable; urgency=low

  * added errno.diff to modify error.h in djbdns source. (Closes: Bug#181761)
  * fixed *-conf-fhs to allow command line specification of log directory
    owner (Closes: Bug#190743)
  * set explicit umask in *-conf-fhs (Closes: Bug#179275)

 -- Adam D. McKenna <adam@debian.org>  Tue, 18 Nov 2003 20:26:41 -0800

djbdns (1.05-9) unstable; urgency=low

  * Added Recommends: ucspi-tcp (Closes: Bug#173336)
  * Reverted previous removal of *-conf-fhs due to BOGUS Bug# 176008.  Made 
    mental note to scrutinize bugs filed by madduck@debian.org much more
    carefully.
  * Added -q flag to wget in get-djbdns in order to avoid mangling output
    for those doing quiet installations.

 -- Adam D. McKenna <adam@debian.org>  Tue, 28 Jan 2003 18:42:14 -0800

djbdns (1.05-8) unstable; urgency=low

  * Removed djbdns-conf-fhs and associated scripts -- since djbdns components 
    run in a chroot, a symlink to /var/log/djbdns effectively points nowhere.
    (Closes: Bug#176008)
  * Formatting and typo fixes (Closes: Bug#174063, Bug#155069)
  * Added dependency on 'make' to generated package (Closes: Bug#175475)
  * Removed log additions from postinst (Closes: Bug#158761)

 -- Adam D. McKenna <adam@debian.org>  Tue, 28 Jan 2003 14:45:02 -0800

djbdns (1.05-7) unstable; urgency=low

  * Added Suggests: ucspi-tcp-src
  * Fixed md5sum calls in postinst and get-djbdns.

 -- Adam D. McKenna <adam@debian.org>  Tue,  2 Apr 2002 10:12:31 -0800

djbdns (1.05-6) unstable; urgency=low

  * Added djbdns-conf-fhs and associated scripts (dnscache-conf-fhs etc.)
    which put djbdns logs in /var/log/djbdns/{service} instead of the default
    /etc/{service}/log
    (Closes: Bug#140098)

 -- Adam D. McKenna <adam@debian.org>  Wed, 27 Mar 2002 22:35:41 -0800

djbdns (1.05-5) unstable; urgency=low

  * Fixed long description lines (Closes: Bug#130930)
  * Removed empty/useless README.ZONES file and references to it.
    (Closes: Bug#128967)
  * Added Depdends: for wget to daemontools-installer (Closes: Bug#138827)

 -- Adam D. McKenna <adam@debian.org>  Tue, 26 Feb 2002 09:42:50 -0800

djbdns (1.05-4) unstable; urgency=low

  * Changed dependencies so that either daemontools or daemontools-installer
    can be installed. (Closes: Bug#97897)
  * Changed postrm script to account for "upgrade" argument
    (Closes: Bug#98812)

 -- Adam D. McKenna <adam@debian.org>  Tue, 29 May 2001 12:01:34 -0700

djbdns (1.05-3) unstable; urgency=low

  * The "TFGIF" release.
  * Added dependency on daemontools-installer, since djbdns depends on 
    daemontools. (Closes: Bug#94269)

 -- Adam D. McKenna <adam@debian.org>  Fri, 20 Apr 2001 12:28:55 -0700

djbdns (1.05-2) unstable; urgency=low

  * The "Work Stinks" release.
  * Got rid of all the debconf stuff in postinst -- djb's conf-* utilities
    make it braindead-easy enough for people to configure their DNS system.
  * After creating the daemontools-installer package, I have decided that
    I like the installer package better than the source package.  It's
    smaller, and it can go into contrib (instead of non-free).

 -- Adam D. McKenna <adam@debian.org>  Tue, 27 Feb 2001 01:59:19 -0800

djbdns (1.05-1) unstable; urgency=low

  * The "Love Stinks" release.
  * New upstream release

 -- Adam D. McKenna <adam@debian.org>  Wed, 14 Feb 2001 14:21:39 -0500

djbdns (1.04-2) unstable; urgency=low

  * The "Mondays suck" release.
  * Fixed prerm not to screw up on removal.
  * Changed the way we update /etc/resolv.conf in djbdns postinst.

 -- Adam D. McKenna <adam@debian.org>  Tue, 30 Jan 2001 01:12:52 -0500

djbdns (1.02-3) unstable; urgency=low

  * Fixed postinst problem with axfrdns-conf

 -- Adam D. McKenna <adam@flounder.net>  Mon, 13 Nov 2000 17:54:25 -0500

djbdns (1.02-2) unstable; urgency=low

  * some problems with package name/etc..  fixed

 -- Adam D. McKenna <adam@flounder.net>  Thu,  9 Nov 2000 19:48:36 -0500

djbdns (1.02-1) unstable; urgency=low

  * New upstream release

 -- Adam D. McKenna <adam@flounder.net>  Thu,  9 Nov 2000 14:37:10 -0500

djbdns (1.01-1) unstable; urgency=low

  * new upstream release, package renamed to djbdns.

 -- Adam D. McKenna <adam@flounder.net>  Mon, 18 Sep 2000 14:59:47 -0400

djbdns (1.00-4) unstable; urgency=low

  * djbdns-src now uses /var/lib/djbdns-src instead of /var/run/djbdns-src

 -- Adam D. McKenna <adam@flounder.net>  Tue, 18 Apr 2000 14:10:04 -0400

djbdns (1.00-3) unstable; urgency=low

  * The "Waiting for the booty call" release.
  * made a few more changes to init.d

 -- Adam D. McKenna <adam@flounder.net>  Tue, 18 Apr 2000 14:09:55 -0400

djbdns (1.00-2) unstable; urgency=low

  * The "Thank God it's Friday" release.
  * made some changes to /etc/init.d
  * removed some unnecessary docs
  * fixed typo in postinst
  * changed djbdns-src to log to /var/log/dns/djbdns-src instead of /var/log/dns

 -- Adam D. McKenna <adam@flounder.net>  Fri, 31 Mar 2000 19:14:49 -0500

djbdns (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Adam D. McKenna <adam@flounder.net>  Fri, 31 Mar 2000 16:39:10 -0500

Local variables:
mode: debian-changelog
End:
